import hashlib
import time
lngLegth='Karakter Sayısı:'
def show(shaType, shaValue):
	print(shaType+':'+a)
	print(lngLegth+ str(len(a))+ ' Bit:'+str(len(a)*4) )
	print()
	
	
pure_data='3'

a = hashlib.sha1(pure_data.encode()).hexdigest()
show('SHA1',a)

a = hashlib.sha224(pure_data.encode()).hexdigest()
show('SHA224',a)

a = hashlib.sha256(pure_data.encode()).hexdigest()
show('SHA256',a)

a = hashlib.sha384(pure_data.encode()).hexdigest()
show('SHA384',a)

a = hashlib.sha512(pure_data.encode()).hexdigest()
show('SHA512',a)


b='7999999'
i=0
a = hashlib.sha224(b.encode()).hexdigest()
start_time = time.time()
while True:
	i=i+1
	hash = hashlib.sha224(str(i).encode()).hexdigest()
	print(str(i))
	if( hash==a):
	  print('counter:'+str(i))
	  break
	
print('--- %s seconds ---' % (time.time() - start_time))